Loading...
Searching...
No Matches
AVMasteringDisplayMetadata Struct Reference

Mastering display metadata capable of representing the color volume of the display used to master the content (SMPTE 2086:2014). More...

`#include <libavutil/mastering_display_metadata.h>`

## Data Fields

AVRational | display_primaries [3][2]
| CIE 1931 xy chromaticity coords of color primaries (r, g, b order).
AVRational | white_point [2]
| CIE 1931 xy chromaticity coords of white point.
AVRational | min_luminance
| Min luminance of mastering display (cd/m^2).
AVRational | max_luminance
| Max luminance of mastering display (cd/m^2).
int | has_primaries
| Flag indicating whether the display primaries (and white point) are set.
int | has_luminance
| Flag indicating whether the luminance (min_ and max_) have been set.

## Detailed Description

Mastering display metadata capable of representing the color volume of the display used to master the content (SMPTE 2086:2014).

To be used as payload of a AVFrameSideData or AVPacketSideData with the appropriate type.

Note
  The struct should be allocated with av_mastering_display_metadata_alloc() and its size is not a part of the public ABI.

Definition at line 38 of file mastering_display_metadata.h.

## Field Documentation

## display_primaries

AVRational AVMasteringDisplayMetadata::display_primaries[3][2]

CIE 1931 xy chromaticity coords of color primaries (r, g, b order).

Definition at line 42 of file mastering_display_metadata.h.

## white_point

AVRational AVMasteringDisplayMetadata::white_point[2]

CIE 1931 xy chromaticity coords of white point.

Definition at line 47 of file mastering_display_metadata.h.

## min_luminance

AVRational AVMasteringDisplayMetadata::min_luminance

Min luminance of mastering display (cd/m^2).

Definition at line 52 of file mastering_display_metadata.h.

## max_luminance

AVRational AVMasteringDisplayMetadata::max_luminance

Max luminance of mastering display (cd/m^2).

Definition at line 57 of file mastering_display_metadata.h.

## has_primaries

int AVMasteringDisplayMetadata::has_primaries

Flag indicating whether the display primaries (and white point) are set.

Definition at line 62 of file mastering_display_metadata.h.

## has_luminance

int AVMasteringDisplayMetadata::has_luminance

Flag indicating whether the luminance (min_ and max_) have been set.

Definition at line 67 of file mastering_display_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/mastering_display_metadata.h